scoreboard players reset @a elf
scoreboard objectives add elf dummy
scoreboard objectives add elf_random_effect dummy
scoreboard objectives add elf_random_effect_cooldown dummy
execute as @a if entity @s[hasitem={item=alloys:elf_helmet, location=slot.armor.head, item=alloys:elf_chestplate, location=slot.armor.chest, item=alloys:elf_leggings, location=slot.armor.legs, item=alloys:elf_boots, location=slot.armor.feet}] run tag @s add elf_armor
execute as @a unless entity @s[hasitem={item=alloys:elf_helmet, location=slot.armor.head, item=alloys:elf_chestplate, location=slot.armor.chest, item=alloys:elf_leggings, location=slot.armor.legs, item=alloys:elf_boots, location=slot.armor.feet}] run tag @s remove elf_armor
scoreboard objectives add elf_re dummy
scoreboard players add @a[tag=elf_armor] elf_re 1
tag @a[scores={elf_re=1}] add elf_re
tag @a[scores={elf_re=2..10}] remove elf_re
scoreboard players reset @a[scores={elf_re=10..}] elf_re
execute at @a[hasitem={item=alloys:elf_helmet, location=slot.armor.head}] run scoreboard players add @a[hasitem={item=alloys:elf_helmet, location=slot.armor.head}] elf 1
execute at @a[hasitem={item=alloys:elf_chestplate, location=slot.armor.chest}] run scoreboard players add @a[hasitem={item=alloys:elf_chestplate, location=slot.armor.chest}] elf 1
execute at @a[hasitem={item=alloys:elf_leggings, location=slot.armor.legs}] run scoreboard players add @a[hasitem={item=alloys:elf_leggings, location=slot.armor.legs}] elf 1
execute at @a[hasitem={item=alloys:elf_boots, location=slot.armor.feet}] run scoreboard players add @a[hasitem={item=alloys:elf_boots, location=slot.armor.feet}] elf 1
execute at @a[scores={elf=4}] run particle elf_leaf ~ ~0.1 ~
effect @a[scores={elf=4}, tag=elf_re] regeneration 1 0 true
effect @a[scores={elf=4}, hasitem={item=alloys:elf_pickaxe, location=slot.weapon.mainhand}] haste 1 1 true
effect @a[scores={elf=4}, hasitem={item=alloys:elf_axe, location=slot.weapon.mainhand}] haste 1 1 true
effect @a[scores={elf=4}, hasitem={item=alloys:elf_shovel, location=slot.weapon.mainhand}] haste 1 1 true
effect @a[scores={elf=4}, hasitem={item=alloys:elf_hoe, location=slot.weapon.mainhand}] haste 1 1 true
execute as @a[scores={elf=4}, tag=elf_re] at @s run effect @e[type=wolf, r=4.5] regeneration 1 0 false
tag @a[scores={elf=4}] add elf_armor_effect
tag @a[scores={elf=!4}] remove elf_armor_effect
scoreboard players random @a[tag=elf_armor_effect, tag=!elf_effect_cooldown, hasitem={item=spore_blossom, location=slot.hotbar}] elf_random_effect 1 15
effect @a[scores={elf_random_effect=1}] absorption 60 2 true
effect @a[scores={elf_random_effect=2}] conduit_power 60 2 true
effect @a[scores={elf_random_effect=3}] fire_resistance 60 0 true
effect @a[scores={elf_random_effect=4}] haste 60 1 true
effect @a[scores={elf_random_effect=5}] health_boost 60 2 true
effect @a[scores={elf_random_effect=6}] invisibility 60 0 true
effect @a[scores={elf_random_effect=7}] jump_boost 60 1 true
effect @a[scores={elf_random_effect=8}] night_vision 60 0 true
effect @a[scores={elf_random_effect=9}] resistance 60 1 true
effect @a[scores={elf_random_effect=10}] saturation 60 2 true
effect @a[scores={elf_random_effect=11}] slow_falling 60 0 true
effect @a[scores={elf_random_effect=12}] speed 60 1 true
effect @a[scores={elf_random_effect=13}] strength 60 1 true
effect @a[scores={elf_random_effect=14}] village_hero 60 3 true
effect @a[scores={elf_random_effect=15}] water_breathing 60 0 true
tag @a[scores={elf_random_effect=1..15}] add elf_effect_cooldown
tag @a[scores={elf_random_effect=0}] remove elf_effect_cooldown
scoreboard players add @a[tag=elf_effect_cooldown] elf_random_effect_cooldown 1
scoreboard players set @a[scores={elf_random_effect_cooldown=1200..}] elf_random_effect 0
scoreboard players set @a[scores={elf_random_effect_cooldown=1..1199}] elf_random_effect 100
scoreboard players reset @a[tag=!elf_effect_cooldown] elf_random_effect_cooldown
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ stone [] in overworld run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ deepslate [] run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ cobblestone [] in overworld run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ cobbled_deepslate [] in overworld run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ stone ["stone_type"="andesite"] in overworld run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ stone ["stone_type"="granite"] in overworld run effect @s[scores={elf=4}] speed 1 1 true
execute as @a[scores={elf=4}] at @s if block ~ ~-1 ~ stone ["stone_type"="diorite"] in overworld run effect @s[scores={elf=4}] speed 1 1 true
scoreboard players reset @a[scores={elf=4}] elf